#!/usr/bin/perl -w
push @SPECHOOKS, sub {
    ## $spec is RPM::Source::Editor object.
    ## $section is RPM::Source::SpecSection object.
    my ($spec, $pkgname) = @_;
    my $section=$spec->get_section('install');
    unless ($section) {
	print STDERR "Oops! install section not found!\n";
    } elsif (not $section->match(qr'# The package contains a CVS/.svn/.git/.hg/.bzr/_MTN directory of revision control system.')) {
	$section->push_body(q!
# The package contains a CVS/.svn/.git/.hg/.bzr/_MTN directory of revision control system.
# It was most likely included by accident since CVS/.svn/.hg/... etc. directories 
# usually don't belong in releases. 
# When packaging a CVS/SVN snapshot, export from CVS/SVN rather than use a checkout.
find $RPM_BUILD_ROOT -type d \( -name 'CVS' -o -name '.svn' -o -name '.git' -o -name '.hg' -o -name '.bzr' -o -name '_MTN' \) -print -exec rm -rf {} \;
!);
    }
};

